import vl from 'vega-lite-api';
//export const viz = hconcat(basic1, basic2);

const basic1=vl.markBar({width:20})
	.transform(
     vl.filter({"field": "date", equal: "5/1/2020"}),
     vl.filter({"field": "total_cases", gt: 20000})
  )
  .encode(
   vl.x().fieldN('location').sort("-y"),
   vl.y().fieldQ('total_cases')//.scale({ zero: true })
  )
	.name("Total cases on 1st May")
	.width(960)
  .height(100)
;


const basic2= vl
  .markBar({width:20})
	.transform(
   vl.filter({"field": "date", equal: "5/31/2020"}),  
   vl.filter({"field": "total_cases", gt: 20000})
  )
  .encode(
   vl.x().fieldN('location').sort("-y"),
   vl.y().fieldQ('total_cases')//.scale({ zero: true })
    //vl.color().fieldN('location'),
    //vl.tooltip().fieldN(('new_cases'))
     //vl.tooltip([vl.fieldN('new_cases'), vl.fieldN('location')])
  )
	.name("Total cases on 31st May")
	.width(960)
  .height(100);

export const viz= vl.vconcat([basic1, basic2]);


//.basic1;//vconcat(basic1, basic2);



